import * as React from 'react';
import {Button, LoginPage, Page, Stack, StackItem,} from '@patternfly/react-core';
import icon from '!!url-loader!@app/assets/images/logo.png';
import utils from "../../services/utils";

const Welcome: React.FunctionComponent<any> = (props) => {

  const brandname = 'Red Hat Data Grid';

  const description1 = 'Red Hat Data Grid is a distributed in-memory key/value data store with optional schema. ' +
    'Available as an embedded Java library or as a language-independent service accessed remotely over a variety of protocols (Hot Rod, REST)';

  const description2 = 'Use it as a cache or a data grid. Works on bare-metal, containerized and virtualized environments. ' +
    'Works on AWS, Azure, Google Cloud, Kubernetes and OpenShift.';


  return (
    <Page>
      <LoginPage
        brandImgSrc={icon}
        brandImgAlt={brandname + " logo"}
        backgroundImgAlt={brandname}
        loginTitle={"Welcome to the " + brandname + " Server"}
      >
        <Stack gutter={"md"}>
          <StackItem>{description1}</StackItem>
          <StackItem>{description2}</StackItem>
          <StackItem><Button href={utils.endpoint() + '/login?action=login'} component="a" variant={"danger"}>Go to the console</Button></StackItem>
        </Stack>
      </LoginPage>
    </Page>
  );
}

export {Welcome};
